#include <stdio.h>


typedef struct fpu__reg {
  unsigned sigl;
  unsigned sigh;
  short exp;
} FPU_REG;


int wm_sqrt(FPU_REG *n, int dummy1, int dummy2,
                       unsigned int control_w, unsigned char sign);

#define PR_64_BITS 0x300
#define RC_RND 0x0000

#define FULL_PRECISION (PR_64_BITS | RC_RND | 0x3f)

int main()
{
  FPU_REG a = { 0x1b1b1b1b, 0xa3a3a3a3, 0 };

  wm_sqrt(&a, 0, 0, FULL_PRECISION, 0);

  printf("%04x %08lx %08lx\n",
	 a.exp, a.sigh, a.sigl);

}


void FPU_exception(int n)
{

  printf("FPU_exception(%04x)\n", n);

}

void set_precision_flag_down() {}
void set_precision_flag_up() {}
void arith_overflow() {}

